Subject: bug#12541: Prefer plain 'static' to 'static inline'.

From: Jason Rumney <[email-masked]>
Date: Sun, 30 Sep 2012 22:18:48 +0800

Eli Zaretskii <[email-masked]> writes:

> The inline functions in bidi.c _must_ be inlined for performance
> reasons.  If the only way to make sure they are is to make them
> external, then so be it.

The only way to ensure they are inlined is to make them macros. Modern
compilers treat "inline" as a hint, not an instruction, if they take any
notice of it at all.